{"openapi":"3.0.0","info":{"version":"1.0a","title":"3PL API","description":"3PL API"},"paths":{"/MBS_TO_3PL_PARTS_UNLOAD/SEND_DATA":{"summary":"Выгрузка номенклатуры из MBS в 3PL","description":"Выгружается массив. Количество регулируется настройкой в MBS. Получатель загружает либо все элементы, либо ни одного. Ключ - поле partnumber.","post":{"responses":{"200":{"description":"Successfully loaded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/answer"}}}},"400":{"description":"value is not correct","content":{"application/json":{"schema":{"$ref":"#/components/schemas/answer"}}}},"500":{"description":"server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/answer"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MBS_TO_SYSTEM_PARTS_UNLOAD_1_1"}}}}}},"/MBS_TO_3PL_SUPPLIERS_UNLOAD/SEND_DATA":{"summary":"Выгрузка контрагентов из MBS в 3PL","description":"Выгружается массив. Количество регулируется настройкой в MBS. Получатель загружает либо все элементы, либо ни одного. Ключ - поле GUID.","post":{"responses":{"200":{"description":"Successfully loaded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/answer"}}}},"400":{"description":"value is not correct","content":{"application/json":{"schema":{"$ref":"#/components/schemas/answer"}}}},"500":{"description":"server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/answer"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MBS_TO_SYSTEM_SUPPLIERS_UNLOAD_1_0"}}}}}},"/MBS_TO_3PL_ASN_UNLOAD/SEND_DATA":{"summary":"Выгрузка ASN из MBS в 3PL","description":"Элементы выгружаются по одному. Ключ - поле GUID.","post":{"responses":{"200":{"description":"Successfully loaded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/answer"}}}},"400":{"description":"value is not correct","content":{"application/json":{"schema":{"$ref":"#/components/schemas/answer"}}}},"500":{"description":"server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/answer"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MBS_TO_3PL_ASN_UNLOAD_1_0"}}}}}},"/MBS_TO_3PL_DILLER_CONSOLIDATIONS_ORDERS_UNLOAD/SEND_DATA":{"summary":"Выгрузка документа Заказ клиент консолидация дилера из MBS в 3PL.","description":"Элементы выгружаются по одному. Ключ - поле GUID. При обновлении статусов один документ может отправляться несколько раз.","post":{"responses":{"200":{"description":"Successfully loaded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/answer"}}}},"400":{"description":"value is not correct","content":{"application/json":{"schema":{"$ref":"#/components/schemas/answer"}}}},"500":{"description":"server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/answer"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MBS_TO_3PL_DILLER_CONSOLIDATIONS_ORDERS_UNLOAD_1_0"}}}}}},"/MBS_TO_3PL_MARKING_CODES_UNLOAD/SEND_DATA":{"summary":"Выгрузка документа Коды маркировки из MBS в 3PL","description":"Элементы выгружаются по одному. Ключ - поле GUID.","post":{"responses":{"200":{"description":"Successfully loaded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/answer"}}}},"400":{"description":"value is not correct","content":{"application/json":{"schema":{"$ref":"#/components/schemas/answer"}}}},"500":{"description":"server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/answer"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MBS_TO_3PL_MARKING_CODES_UNLOAD_1_0"}}}}}}},"components":{"schemas":{"MBS_TO_SYSTEM_PARTS_UNLOAD_1_1":{"type":"object","properties":{"#value":{"description":"Массив номенклатур","type":"array","items":{"type":"object","properties":{"partnumber":{"description":"Ключ. Номер детали.","type":"string","maxLength":192},"identifier":{"description":"Идентификатор","type":"string","maxLength":128},"color":{"description":"Цвет","type":"string","maxLength":32},"revision":{"description":"Ревизия","type":"string","maxLength":32},"name":{"description":"Наименование русское","type":"string","maxLength":150},"engName":{"description":"Наименование английское","type":"string","maxLength":150},"unit":{"description":"Наименование базовой единицы измерения","type":"string","maxLength":25},"isMarked":{"description":"Пометка удаления","type":"boolean"},"base":{"description":"База","type":"string","maxLength":80},"kind":{"description":"Тип номенклатуры","type":"object","properties":{"guid":{"description":"Уникальный идентификатор типа номенклатуры","type":"string","maxLength":36},"name":{"description":"Наименование типа номенклатуры","type":"string","maxLength":50}},"required":["guid","name"]},"labeling":{"description":"Учет маркировки","type":"boolean"}},"required":["partnumber","identifier","color","revision","name","engName","unit","isMarked","base","kind","labeling"]}}},"required":["#value"]},"MBS_TO_SYSTEM_SUPPLIERS_UNLOAD_1_0":{"type":"object","properties":{"#value":{"description":"Массив контрагентов","type":"array","items":{"type":"object","properties":{"GUID":{"description":"Ключ. Уникальный идентификатор контрагента","type":"string","maxLength":36},"code":{"description":"ASDB код контрагента","type":"string","maxLength":5},"name":{"description":"Наименование контрагента","type":"string","maxLength":100},"type":{"description":"Тип контрагента","type":"string"},"isMarked":{"description":"Пометка на удаление","type":"boolean"}},"required":["GUID","code","name","type","isMarked"]}}},"required":["#value"]},"MBS_TO_3PL_ASN_UNLOAD_1_0":{"type":"object","properties":{"GUID":{"description":"Ключ. Уникальный идентификатор уведомления отгрузки (ASN)","type":"string","maxLength":38},"number":{"description":"Номер уведомления отгрузки","type":"string","maxLength":9},"date":{"description":"Дата уведомления отгрузки","type":"string","format":"date-time"},"storno":{"description":"Документ сторнирован (отменен)","type":"boolean"},"ASN":{"type":"object","properties":{"number":{"description":"Номер ASN","type":"string","maxLength":20},"date":{"description":"Дата ASN","type":"string","format":"date-time"}},"required":["number","date"]},"TORG12":{"type":"object","properties":{"number":{"description":"Номер ТОРГ-12","type":"string","maxLength":20},"date":{"description":"Дата ТОРГ-12","type":"string","format":"date-time"}},"required":["number","date"]},"SF":{"type":"object","properties":{"number":{"description":"Номер счета-фактуры","type":"string","maxLength":20},"date":{"description":"Дата счета-фактуры","type":"string","format":"date-time"}},"required":["number","date"]},"conatainer":{"description":"Наименование контейнера","type":"string","maxLength":14},"shipFrom":{"description":"Грузоотправитель (уникальный идентификатор)","type":"string","maxLength":36},"shipTo":{"description":"Грузополучатель (уникальный идентификатор)","type":"string","maxLength":36},"seller":{"description":"Продавец (уникальный идентификатор)","type":"string","maxLength":36},"buyer":{"description":"Покупатель (уникальный идентификатор)","type":"string","maxLength":36},"shippingDate":{"description":"Дата отправки груза","type":"string","format":"date-time"},"freightBillNumber":{"description":"Номер накладной","type":"string","maxLength":20},"billOfLading":{"description":"Номер коносамента","type":"string","maxLength":20},"netWeight":{"description":"Вес нетто","type":"number","multipleOf":0.001,"maximum":1000000000000,"exclusiveMaximum":true},"netWeightUnit":{"description":"Код единицы измерения веса нетто","type":"string","maxLength":4},"grossWeight":{"description":"Вес брутто","type":"number","multipleOf":0.001,"maximum":1000000000000,"exclusiveMaximum":true},"grossWeightUnit":{"description":"Код единицы измерения веса брутто","type":"string","maxLength":4},"import":{"description":"Это импортный документ","type":"boolean"},"contract":{"description":"Наименование контракта","type":"string","maxLength":150},"isAfterSales":{"description":"Это заказ AfterSales","type":"boolean"},"afterSalesOrder":{"type":"object","properties":{"number":{"description":"Номер заказа AfterSales","type":"string","maxLength":11},"date":{"description":"Дата заказа AfterSales","type":"string","format":"date-time"}},"required":["number","date"]},"parts":{"description":"Список материалов","type":"array","items":{"type":"object","properties":{"pn":{"description":"Номер детали номенклатуры","type":"string","maxLength":192},"qty":{"description":"Количество","type":"number","multipleOf":0.001,"maximum":1000000000000,"exclusiveMaximum":true},"UOM":{"description":"Код Единицы измерения номенклатуры","type":"string","maxLength":4},"netWeight":{"description":"Вес нетто","type":"number","multipleOf":0.001,"maximum":1000000000000,"exclusiveMaximum":true},"netWeightUnit":{"description":"Код Единицы измерения веса нетто","type":"string","maxLength":4},"origin":{"description":"Страна происхождения (Код альфа 3)","type":"string","maxLength":3},"GTD":{"description":"Номер ГТД","type":"string","maxLength":30}},"required":["pn","qty","UOM","netWeight","netWeightUnit","origin","GTD"]}},"packing":{"description":"Список упаковок","type":"array","items":{"type":"object","properties":{"box":{"description":"Описание тары","type":"object","properties":{"name":{"description":"Наименование","type":"string","maxLength":35},"type":{"description":"Наименование типа тары","type":"string","maxLength":50}},"required":["name","type"]},"pn":{"description":"Номер детали номенклатуры","type":"string","maxLength":192},"qty":{"description":"Количество номенклатуры","type":"number","multipleOf":0.001,"maximum":1000000000000,"exclusiveMaximum":true},"UOM":{"description":"Код Единицы измерения номенклатуры","type":"string","maxLength":192},"grossWeight":{"description":"Вес брутто","type":"number","multipleOf":0.001,"maximum":1000000000000,"exclusiveMaximum":true},"grossWeightUnit":{"description":"Код Единицы измерения веса брутто","type":"string","maxLength":4}},"required":["box","pn","qty","UOM","grossWeight","grossWeightUnit"]}}},"required":["GUID","number","date","storno","ASN","TORG12","SF","conatainer","shipFrom","shipTo","seller","buyer","shippingDate","freightBillNumber","billOfLading","netWeight","netWeightUnit","grossWeight","grossWeightUnit","import","contract","isAfterSales","afterSalesOrder","parts","packing"]},"MBS_TO_3PL_DILLER_CONSOLIDATIONS_ORDERS_UNLOAD_1_0":{"type":"object","properties":{"GUID":{"description":"Ключ. Уникальный идентификатор документа Заказ клиента консолидация дилера","type":"string","maxLength":36},"date":{"description":"Дата документа","type":"string","format":"date-time"},"number":{"description":"Номер документа","type":"string","maxLength":9},"organization":{"description":"Организация (Уникальный идентификатор)","type":"string","maxLength":36},"shipTo":{"description":"Получатель (Уникальный идентификатор)","type":"string","maxLength":36},"marked":{"description":"Пометка на удаление","type":"boolean"},"parts":{"description":"Список материалов","type":"array","items":{"type":"object","properties":{"pn":{"description":"Номенклатура (номер детали)","type":"string","maxLength":192},"shipDate":{"description":"Дата отгрузки","type":"string","format":"date-time"},"qty":{"description":"Количество","type":"number","multipleOf":0.001,"maximum":1000000000000,"exclusiveMaximum":true},"status":{"description":"Статус","type":"string","maxLength":100}},"required":["pn","shipDate","qty","status"]}}},"required":["GUID","date","number","organization","shipTo","marked","parts"]},"MBS_TO_3PL_MARKING_CODES_UNLOAD_1_0":{"type":"object","properties":{"GUID":{"description":"Ключ. Уникальный идентификатор документа Коды маркировки","type":"string","maxLength":36},"number":{"description":"Номер документа Коды маркировки","type":"string","maxLength":9},"date":{"description":"Номер документа Коды маркировки","type":"string","format":"date-time"},"ASN":{"type":"object","properties":{"GUID":{"description":"Уникальный идентификатор ASN MBS","type":"string","maxLength":38},"number":{"description":"Номер ASN MBS","type":"string","maxLength":20},"date":{"description":"Дата ASN MBS","type":"string","format":"date-time"}},"required":["GUID","number","date"]},"parts":{"type":"array","items":{"type":"object","properties":{"pn":{"description":"Номенклатура (номер детали)","type":"string","maxLength":192},"markingCode":{"description":"Код маркировки","type":"string","maxLength":200}},"required":["pn","markingCode"]}}},"required":["GUID","number","date","ASN","parts"]},"answer":{"type":"object"}}},"servers":[{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/jarinat/3PL/1.0a"}]}